{
  imports = [
    ./hardware-configuration.nix
    ../../roles
  ];

  networking.hostName = "nerflap3";
  system.stateVersion = "25.05";

  networking.networkmanager.enable = true;
  users.users.nerf.extraGroups = [ "networkmanager" ];

  services.pipewire = {
    enable = true;
    audio.enable = true;
    pulse.enable = true;
    jack.enable = true;
    alsa.enable = true;
  };

  programs = {
    git.enable = true;
    steam = {
      enable = true;
      remotePlay.openFirewall = true;
      dedicatedServer.openFirewall = true;
      localNetworkGameTransfers.openFirewall = true;
    };
    hyprland.enable = true;
  };
  home-manager = {
    useGlobalPkgs = true;
    useUserPackages = true;
    users.nerf = ./home.nix;
  };
}
