{
  lib,
  pkgs,
  ...
}:
{
  imports = [ ];

  fileSystems."/" = {
    device = "root";
    fsType = "tmpfs";
    options = [
      "size=1G"
      "mode=755"
    ];
  };
  fileSystems."/persist" = {
    device = "/dev/disk/by-label/nixos";
    fsType = "btrfs";
    options = [ "subvol=persist" ];
    neededForBoot = true;
  };
  fileSystems."/boot" = {
    device = "/dev/disk/by-uuid/65E5-43C6";
    fsType = "ext4";
  };
  fileSystems."/nix" = {
    device = "/dev/disk/by-label/nixos";
    fsType = "btrfs";
    options = [ "subvol=nix" ];
  };
  fileSystems."/home" = {
    device = "/dev/disk/by-label/nixos";
    fsType = "btrfs";
    options = [ "subvol=home" ];
  };

  boot = {
    loader.systemd-boot.enable = true;
    initrd.luks.devices.cryptroot.device = "/dev/disk/by-uuid/ea8b69f1-b1d3-48c6-b469-3b26652d237b";
  };

  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
}
